DB2运行在Linux上备份时报SQL2009N错误

6/13/2008来源:DB2教程人气:3983

环境

产品: DB2

平台: linux 2.4 kernel

版本: 7.x, 8.1

DB2运行在内核为2.4以下的Linux上备份时报SQL2009N错误。

内核为2.4的Linux的默认消息队列值为16-不满足DB2运行的需求。

当备份数据库遇到SQL2009N的错误时,应该首先考虑是否是操作系统核心参数值过低的问题。

如果当前系统的消息队列值为16,希望调高该内核参数,可以以root身份用下面命令调整:

echo 128 >/PRoc/sys/kernel/msgmni

这样,消息队列的值就变更为128了。

也可以修改/etc/sysctl.conf文件,加入如下行永久地增大该设置:

# Sets maximum number of message queues to 128

# Set this to 1024 or higher on production systems

kernel.msgmni = 128